%define _requires_exceptions perl

Summary:	MyLiveCD Remastering Tool
Name:		mylivecd
Version:	0.9.14
Release:	%mkrel 8
License:	GPL
Group:		System/Configuration/Boot and Init
Source0:	%name-%version.tar.xz
Source1:	10-mylivecd.rules
Source2:	modprobe.preload.d-mylivecd
URL:		http://www.pclinuxos.com
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	util-linux-ng
Requires:	cdrkit-genisoimage
Requires: 	squashfs-tools >= 4.2
Requires:	syslinux >= 6.02
Requires:	lib64zlib1 >= 1.2.11-3
Requires:	drakx-installer-binaries-probe
Requires:	gettext
Requires:	lib64udev0 >= 173
Requires:	lib64png16_16
Requires:	lib64jpeg8
Requires:	lib64parted2
Requires:   lib64readline8
Requires:	plymouth >= 0.8.3
Requires:	alsa-utils
Requires:	harddrake-ui 
Requires:	harddrake 
Requires:	drakx-finish-install
Requires:	drakxtools-newt 
Requires:	drakxtools-backend
Requires:	drakxtools
Requires:	drak3d-common
Requires:	lz4
Requires:	xz
Requires:	gzip
Requires:   zstd
Requires:   sd
Requires:   ncurses >= 6.0
Requires:   grub2 >= 2.04.0
Requires:   grub2-efi >= 2.04.0
Requires:   busybox-dlx
Requires:   ldetect
Requires:   kmod
Requires:   pciutils
Requires:   lib64sysfs2
Requires:   lib64zstd1
Requires:   lib64openssl1.1.0
Requires:   lib64lzma5
BuildRequires:	intltool

Obsoletes: drakx-installer-binaries-probe-xz

%description
MyLiveCD is a script that allows you to build a bootable ISO image 
of your existing installation. Maximum compressed image can exceed
4 gigs but must be placed on a usbkey large enough to handle the
image size. It features automatic hardware detection and decompresses
the image on the fly.


%prep
%setup -q
%apply_patches

%ifnarch x86_64
sed -i -e '/lib64/d' linuxrc
%endif

%install
rm -rf %buildroot

mkdir -p %buildroot%{_sbindir}
install -m 0755 mylivecd %buildroot%{_sbindir}

mkdir -p %buildroot/%{_datadir}/mylivecd
install -m 0644 halt.local gfxboot.cfg linuxrc rc.sysinit %buildroot/%{_datadir}/mylivecd

#tell udisks not to have file manager mount loop devices
mkdir -p %buildroot/%{_sysconfdir}/udev/rules.d
install -m 0644 %SOURCE1 %buildroot/%{_sysconfdir}/udev/rules.d/10-mylivecd.rules

#have loop kernel module load at bootup
mkdir -p %buildroot/%{_sysconfdir}/modprobe.preload.d
install -m 0644 %SOURCE2 %buildroot/%{_sysconfdir}/modprobe.preload.d/00-mylivecd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_sbindir}/mylivecd
%{_datadir}/mylivecd/*
%{_sysconfdir}/udev/rules.d/10-mylivecd.rules
%{_sysconfdir}/modprobe.preload.d/00-mylivecd

%pre
rm -f %{_sysconfdir}/rc.d/mylivecd.rc.sysinit
rm -f %{_sysconfdir}/modprobe.preload.d/mylivecd

%posttrans
/sbin/modprobe loop > /dev/null 2>&1

%changelog
* Thu Dec 22 2022 adrianomorselli <dev@ufficiozero.org> 0.9.14-8ufficiozero2022
- rebuilded for UZL

* Wed Dec 21 2022 tex - 0.9.14-7pclos2022
- drop haldaemon from stop services

* Fri Nov 04 2022 tex - 0.9.14-6pclos2022
- change location for lzma.so5 in mylivecd executable

* Fri Oct 21 2022 tex - 0.9.14-5pclos2022
- drop fromusb from default boot stanza

* Sun Oct 16 2022 yodelu - 0.9.14-4pclos2022
- fix  wrong action introduced by (me) mistake in r3 

* Sun Oct 16 2022 yodelu - 0.9.14-3pclos2022
- mylivecd > ship some missing device modules
    as mknod require'em when do static nodes
- linuxrc > probe the new dev. modules

* Thu Sep 29 2022 tex - 0.9.14-2pclos2022
- fix lib locations readline and libpcre2

* Thu Sep 29 2022 tex- 0.9.14-1pclos2022
- add fromusb to appot variable

* Thu Sep 29 2022 tex - 0.9.13-29pclos2022
- change library to libpcre2-8.so.0

* Fri Jun 24 2022 tex - 0.9.13-28pclos2022
- supress kernel module ouput when making live media

* Thu Jun 16 2022 tex - 0.9.13-27pclos2022
- fix pcmcia

* Sat Jun 04 2022 yodelu - 0.9.13-26pclos2022
- linuxrc
    >>  /dev/null - be a device not a file
    /dev/null gets a regular file when scripts redirects to it before /dev/null gets born (by mknod or devtmpfs)
    it happens in our env.. fix it.
    >>  mount /dev on devtmpfs (tmpfs for the rest) 
- mylivecd
    >> probe crc32(crc32-pclmul.ko.xz) in tree
      as F2FS-fs silently (softdep crc32) complain about (liveboot)

* Sat Apr 16 2022 tex - 0.9.13-25pclos2022
- fix 	libblake2s-generic.ko.xz for kernel 5.17

* Sun Feb 27 2022 tex - 0.9.13-24pclos2022
- add do_copy modules.builtin.modinfo

* Fri Feb 03 2022 tex - 0.9.13-23pclos2022
- exclude /etc/modprobe.preload.d/00-amdgpu when
- making iso

* Fri Jan 21 2022 yodelu - 0.9.13-22pclos2022
- fixed a bug introduced by mistake in r21
- do xz compression harder

* Thu Jan 18 2022 yodelu - 0.9.13-21pclos2022
- mylivecd >> fix module loading on kernel 5.4 (btrfs xor exfat)

* Wed Jan 17 2022 yodelu - 0.9.13-20pclos2022
- mylivecd >> added missing modules in live tree (f2fs exfat and usbhid)
- linuxrc  >> probe ext3 not needed (ext3 already probed via ext4)

* Mon Jan 10 2022 yodelu - 0.9.13-18pclos2022
- quit plymouth in system's rc.sysinit

* Mon Dec 20 2021 tex - 0.9.13-17pclos2021
- fix probe-modules in linuxrc

* Mon Dec 20 2021 yodelu - 0.9.13-16pclos2021
- plymouth quit at the end of tc.sysinit

* Mon Dec 20 2021 tex - 0.9.13-15pclos2021
- fix linuxrc

* Fri Dec 17 2021 yodelu - 0.9.13-14pclos2021
- add and use console_init before starting plymouth 
- enable drm.so

* Thu Dec 16 2021 tex - 0.9.13-13pclos2021
- disable drm.so

* Sun Dec 12 2021 yodelu - 0.9.13-12pclos2021
- filled dirs in initrd2 section accordingly with initrd section
- copy plymouth symlink too, in the main image

* Sun Dec 12 2021 yodelu - 0.9.13-11pclos2021
- call harddrake early (for doing a nice plymouth)
- add missing dep modules 
- drop no needed reqs in probe-modules
- let depmod to be verbose in case of missing deps
- ready for kmod

* Mon Nov 22 2021 tex - 0.9.13-10pclos2021
- drop probe.xz lines from linuxrc
- add missing reqs for new probe-modules

* Mon Nov 22 2021 yodelu - 0.9.13-9pclos2021
- change zlib path + no need  zlib x86 (p0)

* Sat Jul 31 2021 tex - 0.9.13-8pclos2021
- add 2 seconds to end of halt.local for older computers
- drop speedboot=yes in boot options
- exclude avahi-daemon on live media

* Mon Jul 05 2021 tex - 0.9.13-7pclos2021
- exclude all networkmanager connections
- when building live media

* Fri Jun 18 2021 tex - 0.9.13-6pclos2021
- put run in ram for avahi

* Sun Jun 06 2021 tex - 0.9.13-5pclos2021
- exclude files in /var/lib/NetworkManager
- when creating iso

* Fri Mar 19 2021 tex - 0.9.13-4pclos2021
- add modesetting video boot option

* Sun Jan 31 2021 tex - 0.9.13-3pclos2021
- add speedboot=yes by default
- fix shutdown in virtualbox on live media
- add f2fs module to linuxrc
- drop depreciated folders in rc.sysinit

* Sun Jan 03 2021 tex - 0.9.13-2pclos2021
- fix linurc line 539
- add requires for busybox-dlx

* Fri Jan 01 2021 tex - 0.9.13-1pclos2020
- update for readline 8
- merge in patch0

* Mon Oct 19 2020 tex - 0.9.12-8pclos2020
- fix for some dropped grub2-efi modules (cirrus and bochs)

* Sat Dec 14 2019 tex - 0.9.12-7pclos2019
- fix services to disable and enable
- drop nvme kernel drivers from mkinitrd
- since they are included in the kernel

* Tue Dec 03 2019 tex - 0.9.12-6pclos2019
- mylivecd fixes for kernel drivers

* Tue Nov 12 2019 tex - 0.9.12-5pclos2019
- rebuild against updates

* Mon Sep 09 2019 tex - 0.9.12-4pclos2019
- make var/lib/gdm writable to try to fix
- gdm login showing output in password field

* Sun Sep 01 2019 tex - 0.9.12-3pclos2019
- more clean up

* Fri Aug 23 2019 tex - 0.9.12-2pclos2019
- fix ath10k_pci loading on live media

* Wed Aug 21 2019 tex - 0.9.12-1pclos2019
- add safe boot to uefi menu

* Wed Aug 21 2019 tex - 0.9.11-6pclos2019
- back out early kms
- can add option for nvidia 430 driver to be on live media

* Wed Aug 21 2019 tex - 0.9.11-5pclos2019
- no early kms for radeon
- clean up verbose mode

* Wed Aug 14 2019 tex - 0.9.11-4pclos2019
- exclude ifcfg-wlan* when creating image

* Thu Aug 08 2019 tex - 0.9.11-3pclos2019
- move touchpad solution back to original
- location

* Thu Aug 08 2019 tex - 0.9.11-2pclos2019
- add iwlwifi reset to rc.sysinit
- move touchpad solution to mylivecd rc.syinit since
- dmesg is available

* Wed Aug 07 2019 tex - 0.9.11-1pclos2019
- new release due to all of the recent changes

* Tue Aug 06 2019 tex - 0.9.10-12pclos2019
- comment out /sbin/udevadm settle before
- running start_udev when booting from
- live media then restore it after command
- has ran

* Sun Aug 04 2019 tex - 0.9.10-11pclos2019
- clean up some code in rc.sysinit

* Sat Aug 03 2019 tex - 0.9.10-10pclos2019
- move hardware detect to mylivecd rc.sysinit
- to process it faster

* Mon Jul 29 2019 tex - 0.9.10-9pclos2019
- disable vnstat portreserve ckupdate from
- starting when live media boots

* Sun Jul 28 2019 tex - 0.9.10-8pclos2019
- switch to lib64readline7
- delete %{_sysconfdir}/rc.d/mylivecd.rc.sysinit
- since we are done with it

* Sun Jul 28 2019 tex - 0.9.10-7pclos2019
- req lib64readline6

* Sat Jul 27 2019 tex - 0.9.10-6pclos2019
- fix /etc/rc.d/rc.sysinit to not probe for
- nvidia driver only nouveau for live media

* Fri Jul 26 2019 tex - 0.9.10-5pclos2019
- exclude /usr/share/doc folder when making
- ISO 

* Wed Jul 24 2019 tex - 0.9.10-4pclos2019
- fix location of popt library

* Mon Jul 22 2019 tex - 0.9.10-3pclos2019
- default to zstd
- users with old kernels may need to use
- mylivecd --xz name-of-iso

* Sun Jul 21 2019 tex - 0.9.10-2pclos2019
- add Copy to RAM to uefi menu
- add fromcd option and change search
- partitions search sequence to look
- on usb first by default

* Sun Jul 21 2019 tex - 0.9.10-1pclos2019
- add no bootsplash to uefi menu

* Sun Jul 21 2019 tex - 0.9.9-20pclos2019
- add fromusb to boot stanza

* Tue Jul 16 2019 tex - 0.9.9-19pclos2019
- add zstd support

* Sun Jul 14 2019 tex - 0.9.9-18pclos2019
- clean up exclusion files/folders since
- kde4 is gone

* Sat May 11 2019 tex - 0.9.9-17pclos2019
- add more kms drivers to linuxrc

* Wed May 08 2019 TerryN <terryn94 at gmail.com> 0.9.9-16pclos2019
- changes for nouveau/KMS livecd

* Thu Mar 14 2019 tex 0.9.9-15pclos2019
- adjust services to stop when making
- the live image

* Sat Jun 02 2018 bb2 <bb2> 0.9.9-14pclos2018
- change from png3 to png16_16

* Wed Oct 18 2017 bb2 <bb2> 0.9.9-13pclos2017
- fix file list for udev 173
- add requires on udev 173

* Wed Aug 09 2017 bb2 <bb2> 0.9.9-12pclos2017
- add requires for ncurses 6
- add ncurses6 and libtinfo6 to mylivecd copy routine

* Fri Jul 14 2017 bb2 <bb2> 0.9.9-11pclos2017
- fix location for libdevmapper.so.1.02

* Sun Jul 17 2016 bb <bb> 0.9.9-10pclos2016
- change description

* Wed Jul 13 2016 bb <bb> 0.9.9-9pclos2016
- replace RM with HOTPLUG in linuxrc

* Wed Jun 08 2016 bb <bb> 0.9.9-8pclos2016
- fix libpng so updates are not a problem with 
- this library

* Fri Apr 01 2016 TerryN <terryn94 at gmail.com> 0.9.9-7pclos2016
- Always add UEFI boot image on 64 bit
- include ext2 module in grub image
- hybridize the ISOs

* Sat Mar 05 2016 bb <bb> 0.9.9-6pclos2016
- add req libparted2
- fix mylivecd to use libparted.so.2 instead of the 
- dead libparted.so.0 so it can be removed

* Tue Mar 01 2016 TerryN <terryn94 at gmail.com> 0.9.9-5pclos2016
- exclude base-iso 

* Sat Jan 30 2016 TerryN <terryn94 at gmail.com> 0.9.9-4pclos2016
- improved UEFI boot image generation
- work around grub cmdpath problem
- add theme for UEFI boot if available

* Thu Jan 21 2016 TerryN <terryn94 at gmail.com> 0.9.9-3pclos2016
- reduce size of UEFI boot image
- remove the useless syslinux-efi implementation

* Mon Jan 11 2016 TerryN <terryn94 at gmail.com> 0.9.9-2pclos2016
- fix disk detection order when booting live usb
- fix iwlwifi (firmware load) problem with LiveCD
- ensure workdir is excluded

* Sun Dec 27 2015 bb <bb> 0.9.9-1pclos2015
- add ntfs support for livecd

* Sun Dec 20 2015 bb <bb> 0.9.8-24pclos2015
- update for libpng

* Fri Nov 20 2015 bb <bb> 0.9.8-23pclos2015
- fix mylivecd for libpng update

* Mon Nov 16 2015 bb <bb> 0.9.8-22pclos2015
- have mylivecd call /sbin/mke2fs instead of mke2fs

* Sun Nov 15 2015 bb <bb> 0.9.8-21pclos2015
- have mylivecd call /sbin/depmod intead of depmod

* Sat Oct 24 2015 TerryN <terryn94 at gmail.com> 0.9.8-20pclos2015
- consolidated into single script for 32/64 bit
- added support for UDF for large ISOs

* Sat Sep 05 2015 bb <bb> 0.9.8-19-1pclos2015
- update for util-linux-nx update fdisk library

* Sat Aug 29 2015 bb <bb> 0.9.8-18-1pclos2015
- update for util-ng utilities update

* Sun Apr 19 2015 TerryN <terryn94 at gmail.com> 0.9.8-17pclos2015
- add option to include additional UEFI boot image

* Wed Apr 16 2015 bb <bb> 0.9.8-16pclos2015
- update for mediacheck dropped

* Thu Feb 26 2015 bb <bb> 0.9.8-15pclos2015
- fix mylivecd for 32bit

* Tue Feb 10 2015 bb <bb> 0.9.9-14pclos2015
- adjust for xz compressed kernel

* Sun Feb 01 2015 bb <bb> 0.9.8-13pclos2015
- adjust for depreciated ide driver on 64bit
- adjust linuxrc for aufs built as module

* Wed Dec 03 2014 pinoc <vogtpet at gmail.com> 0.9.8-12pclos2014
- updated to new libpng 1.2.52

* Sat Oct 18 2014 bb <bb> 0.9.8-11pclos2014
- merge in just16 changes to discovery

* Mon Aug 11 2014 pinoc <vogtpet at gmail.com> 0.9.8-10pclos2014
- updated to new libpng

* Wed Jun 11 2014 bb <bb> 0.9.8-9pclos2014
- load loop kernel module at boot
- drop mount -o bind /dev /dev

* Mon Jun 09 2014 bb <bb> 0.9.8-8pclos2014
- add udev 10-mylivecd.rules for udisks to ignore loop mounts

* Fri Jun 04 2014 bb <bb> 0.9.6-7pclos2014
- add support for sysliux 6.02
- change safe video option to vesa

* Mon Apr 28 2014 bb <bb> 0.9.8-6pclos2014
- drop probe-modules ntfs in linuxrc (not needed)

* Sat Apr 26 2014 bb <bb> 0.9.8-5pclos2014
- add nls_cp437 to probe-modules for fat32 support

* Thu Apr 10 2014 bb <bb> 0.9.8-4pclos2014
- fix mylivecd for using kernels less than 3.12.x
- add quiet to default iso boot
- add probe-modules ntfs to linuxrc

* Mon Apr 07 2014 bb <bb> 0.9.8-3pclos2014
- fix booting from usbkey

* Mon Apr 07 2014 bb <bb> 0.9.8-2pclos2014
- change version to 0.9.8 in script

* Sun Apr 06 2014 bb <bb> 0.9.8-1pclos2014
- fix mylivecd for kernel 3.12.x and up

* Sun Apr 06 2014 bb <bb> 0.9.7-8pclos2014
- fix required modules load for livecd

* Sun Mar 30 2014 bb <bb> 0.9.7-7pclos2014
- fix booting when overlayfs is used by
- add modprobe overlayfs to the linuxrc

* Fri Mar 21 2014 bb <bb> 0.9.7-6pclos2014
- dont try to copy depreciated xpm.gz file when using
- grub option to build iso

* Thu Mar 20 2014 bb <bb> 0.9.7-5pclos2014
- remove old devfs option from boot config

* Thu Mar 20 2014 bb <bb> 0.9.7-4pclos2014
- remove vmalloc and nokmsboot from boot entries
- remove probe-modules unionfs from linuxrc

* Thu Feb 27 2014 pinoc <vogtpet at gmail.com> 0.9.7-3pclos2014
- updated usage printout (32bit)
- deleted references to lz4hc (32bit)
- fix 32bit version to match 64bit version

* Thu Feb 27 2014 bb <bb> 0.9.7-2pclos2014
- fix progress bar when creating image
- drop acpi=on from default boot setting
- drop --lz4hc option

* Tue Feb 18 2014 pinoc <vogtpet at gmail.com> 0.9.7-1pclos2014
- applied etjr patches to work with kernel 3.10.x
- include patches for overlayfs and new lz4 compression, both not functional yet
- default to aufs instead of unionfs

* Mon Nov 25 2013 pinoc <vogtpet at gmail.com> 0.9.6-5pclos2013
- exclude pulse files in mylivecd

* Sun Nov 24 2013 billybot <billybot> 0.9.6-4pclos2013
- change to libjpeg8 dependency

* Sat Jun 30 2013 Texstar <texstar at gmail.com> 0.9.6-3pclos2013
- add do_cmd sleep 2 in initrd creation area to give umount time
- to unmount without giving busy error

* Sat Jun 22 2013 Texstar <texstar at gmail.com> 0.9.6-2pclos2013
- exclude the /run folder when making the livecd as udisks2 will
- create it at boot
- make /var/lib/libuuidd writable and remove urpmi 

* Thu May 23 2013 pinoc <vogtpet at gmail.com> 0.9.6-1pclos2013
- combined setup for 32/64
- amended for new tool chain 
- removed noarch

* Fri Mar 23 2012 Neal <nealbrks0 at gmail dot com> 0.9.5-5pclos2012
- process

* Fri Mar 23 2012 AS <as.pclos at gmail.com> 0.9.5-5pclos2012
- options for 2nd kernel and related custom description

* Mon Feb 27 2012 Neal <nealbrks0 at gmail dot com> 0.9.5-4pclos2012
- process

* Mon Feb 27 2012 AS <as.pclos at gmail.com> 0.9.5-4pclos2012
- changes because of new lib64png3

* Sat Sep 24 2011 Texstar <texstar at gmail.com> 0.9.5-3pclos2011
- add additional compressing feature for bonus compression

* Mon Sep 05 2011 Texstar <texstar at gmail.com> 0.9.5-2pclos2011
- fix bootsplash for livecd
- remove lzma support 
- adjust files for initrd2 alternate kernels
- add xhci_hcd usb 3.0 support

* Sun Aug 14 2011 Texstar <texstar at gmail.com> 0.9.5-1pclos2011
- update for 64 bit

* Tue Aug 02 2011 Texstar <texstar at gmail.com> 0.9.4-9pclos2011
- update for glibc 2.13

* Sun Jul 10 2011 Texstar <texstar at gmail.com> 0.9.4-8pclos2011
- switch to fbdev instead of vesa 

* Wed Jun 15 2011 Texstar <texstar at gmail.com> 0.9.4-7pclos2011
- remove mem test some people having problems when this gets 
- installed in grub on their already broken system

* Sun Jun 12 2011 Texstar <texstar at gmail.com> 0.9.4-6pclos2011
- add Install PCLinuxOS from boot menu

* Sun Jun 12 2011 Texstar <texstar at gmail.com> 0.9.4-5pclos2011
- add memtest and depreciate mediacheck as it don't work on dvd

* Thu Jun 09 2011 Texstar <texstar at gmail.com> 0.9.4-4pclos2011
- exclude more files by default 

* Wed Jun 08 2011 Texstar <texstar at gmail.com> 0.9.4-3pclos2011
- exclude more files by default to reduce so much pre-work before
- livecd creation

* Wed Jun 08 2011 Texstar <texstar at gmail.com> 0.9.4-2pclos2011
- add dependency Req: drak3d-common
- add exclude icon-theme.cache from final iso

* Wed Jun 08 2011 Texstar <texstar at gmail.com> 0.9.4-1pclos2011
- remove quiet from boot line
- bump to 0.9.4

* Tue Jun 07 2011 Texstar <texstar at gmail.com> 0.9.3-20pclos2011
- fix apci typo to acpi 

* Mon Jun 06 2011 Texstar <texstar at gmail.com> 0.9.3-19pclos2011
- add requires so it functions properly

* Mon Jun 06 2011 Texstar <texstar at gmail.com> 0.9.3-18pclos2011
- fix exlude /etc/X11/xorg.conf but not the contents of /etc/X11/xorg.conf.d

* Sun Jun 05 2011 Texstar <texstar at gmail.com> 0.9.3-17pclos2011
- add nokmsboot to $appopt options

* Tue May 24 2011 Texstar <texstar at gmail.com> 0.9.3-16pclos2011
- add quiet to $appopt to make smooth transition from grub to plymouth

* Mon May 15 2011 Texstar <texstar at gmail.com> 0.9.3-15pclos2011
- change exclude to /var/lib/alsa/asound.state instead of /etc

* Fri Apr 22 2011 etjr <texstar at gmail.com> 0.9.3-14pclos2011 
- updates for special characters & ext4

* Mon Mar 28 2011 etjr <texstar at gmail.com> 0.9.3-13pclos2011
- updates for glibc-2.12.1

* Wed Mar 9 2011 etjr <texstar at gmail.com> 0.9.3-12pclos2011
- change requires in spec
- updates for lzma

* Tue Mar 1 2011 etjr <texstar at gmail.com> 0.9.3-11pclos2011
- updates for xz

* Sat Feb 19 2011 etjr <texstar at gmail.com> 0.9.3-10pclos2011
- updates for udev & aufs
- remove test for cdrom

* Mon Feb 14 2011 etjr <texstar at gmail.com> 0.9.3-9pclos2011
- Test for udev files
- add gzip option

* Fri Feb 4 2011 etjr <texstar at gmail.com> 0.9.3-8pclos2011
- test for cdrom and ieee1394 modules

* Mon Jan 31 2011 etjr <texstar at gmail.com> 0.9.3-7pclos2011
- remove cdrom and ieee1394 modules

* Wed Dec 15 2010 Texstar <texstar at gmail.com> 0.9.3-6pclos2010
- add linuxrc and rc.sysint changes for persistant filename
- add fix ext4 bug per OC

* Wed Nov 24 2010 Texstar <texstar at gmail.com> 0.9.3-5pclos2010
- add copy2ram patch from marcin.chojnowski at gmail.com

* Mon Sep 13 2010 Texstar <texstar at gmail.com> 0.9.3-4pclos2010
- change linuxrc to allow for more usbkey partitions to be found
- and mounted

* Mon Jul 05 2010 Texstar <texstar at gmail.com> 0.9.3-3pclos2010
- add vmalloc=256M to grub bootline for nvidia cards

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 0.9.3-2pclos2010
- add updated service stop and start

* Mon May 31 2010 Texstar <texstar at gmail.com> 0.9.3-1pclos2010
- update for new plymouth

* Wed May 26 2010 Texstar <texstar at gmail.com> 0.9.2-1pclos2010
- add routine to disable services when creating LiveCD

* Tue May 25 2010 Texstar <texstar at gmail.com> 0.9.1-7pclos2010
- update for new udev

* Tue May 25 2010 Texstar <texstar at gmail.com> 0.9.1-6pclos2010
- update for new udev

* Sun May 23 2010 Texstar <texstar at gmail.com> 0.9.1-5pclos2010
- update for new libpng3

* Mon May 17 2010 Texstar <texstar at gmail.com> 0.9.1-4pclos2010
- update for new udev

* Tue May 04 2010 Texstar <texstar at gmail.com> 0.9.1-3pclos2010
- fix for new udev

* Mon May 03 2010 Texstar <texstar at gmail.com> 0.9.1-2pclos2010
- more fixes for usbkey persistence

* Sat May 01 2010 Texstar <texstar at gmail.com> 0.9.1-1pclos2010
- fix cdrom eject on copy to ram

* Mon Apr 19 2010 Texstar <texstar at gmail.com> 0.9.0-4pclos2010
- make sure draklive-install is installed

* Sun Apr 11 2010 Texstar <texstar at gmail.com> 0.9.0-3pclos2010
- change verbage to No Boot Splash

* Sun Apr 11 2010 Texstar <texstar at gmail.com> 0.9.0-2pclos2010
- set default vga mode to 791 for verbose boot
- added LiveCD - No Splash option to boot without plymouth boot graphics
- added logic to linuxrc to enable or disable plymouth from starting

* Sun Apr 11 2010 Texstar <texstar at gmail.com> 0.9.0-1pclos2010
- initial package based on code from mklivecd and mkcd

